# Default values for app-demo.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
commonInfo:
  env: preprod

env:
  APP_ENV: ToBeDefined

replicaCount: 1

image:
  repository: tonykien2012/my-app2
  tag: prod-0.52
# resources:
#   requests:
#     cpu: "500m"
#   limits:
#     cpu: "1500m"
#     memory: "6144Mi"
service:
  type: ClusterIP
  svc:
    http: 5000
    #https: 443
    
annotations: {}    
imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""
revisionHistoryLimit: 6

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

lifecyclepoststart:
  enabled: true
  command: []

# env: {}
# envSecret:
#   DB_HOST: tcc-azure-secret-database-chms
#   DB_USERNAME: tcc-azure-secret-database-chms
#   DB_PASSWORD: tcc-azure-secret-database-chms
#   DB_DATABASE: tcc-azure-secret-database-chms
# lifecyclepoststart:
#   enabled: true
#   command:
#     - /bin/bash
#     - -c
#     - echo -e "DB_DATABASE='${DB_DATABASE}'\nDB_USERNAME='${DB_USERNAME}'\nDB_PASSWORD='${DB_PASSWORD}'\nDB_HOST='${DB_HOST}'" > /var/www/.env
autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 3
  targetCPUUtilization: 100
  #targetMemoryUtilization: 2048Mi
ingress:
  enabled: true
  className: ""
  annotations:
    #kubernetes.io/ingress.class: azure/application-gateway
    #appgw.ingress.kubernetes.io/ssl-redirect: "true"
    #appgw.ingress.kubernetes.io/backend-protocol: "https"
    #appgw.ingress.kubernetes.io/request-timeout: "600"
    #appgw.ingress.kubernetes.io/rewrite-rule-set: "rr-chmsweb"
    #appgw.ingress.kubernetes.io/appgw-ssl-certificate: "ssl-pre-aks"
    #appgw.ingress.kubernetes.io/health-probe-timeout: "300"
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"

  hosts:
    - host: my-app2.kienle.xyz
      paths:
        - path: /
          pathType: ImplementationSpecific
          serviceName: my-app2
          servicePort: 5000
  tls:
    - secretName: my-app2-tls-certificate
      hosts:
        - my-app2.kienle.xyz

# cronjobs:
#   - name: demo-apps-cronjob
#     image:
#       repository: alpine
#       tag: 3.16.0
#       imagePullPolicy: Always
#     schedule: "*/3 * * * *"
#     successfulJobsHistoryLimit: 1
#     failedJobsHistoryLimit: 1
#     #command: ["/bin/sh"]
#     args:
#       - "/bin/sh"
#       - "-c"
#       - "/usr/bin/wget -O - -q -t 1 https://my-app2.kienle.xyz/cron/guoqYrWlf-GvPYF7lb-yqQdBxPtBxKvdkTT8OpeXUzXfPsD7Me0fi12S4fRbQefOWCNEatWJZA >> /var/log/cronlog.log"
#     restartPolicy: Never
nodeSelector: {}

tolerations: []

affinity: {}
